Questão Firefox no Windows XP não suporta SNI?


Por que recebo esta mensagem no Windows XP SP3 ?:

https://sni.velox.ch/

"Infelizmente, o seu cliente [Mozilla / 5.0 (Windows; U; Windows NT 5.1; pt-BR; rv: 1.9.2.18) Gecko / 20110614 Firefox / 3.6.18 (.NET CLR 3.5.30729)] não enviou um TLS extensão de indicação do nome do servidor (RFC 4366) em seu ClientHello (protocolo negociado: SSLv3), então você provavelmente está recebendo avisos sobre incompatibilidades de nomes de certificados. "

Quando eu visito o site mencionado com o Firefox.

Então isso significa que o Firefox não suporta SNI? Ou o que? : O

p.s .: está relacionado com: Como testar se o SNI é suportado pelo webbrowser?


2


origem


Usando o Firefox 5.0 no Win XP SP3 e obtendo um resultado positivo, poderia ser apenas uma "versão antiga do Firefox", já que vejo 3.6.18 na sua string do agente do usuário. - DMA57361


Respostas:


Sob Ferramentas → Opções → Avançado → Encriptação, verifique se você tem "Usar TLS 1.0" ativado. Isso está desativado por padrão em versões mais antigas do Firefox. ATUALIZAR!


4



Obrigado. A versão do Firefox é 3.6.18 e eu verifiquei, foi desativado! Depois de habilitar o TLS 1.0, o teste ainda não funciona !! Por quê? : O - LanceBaynes
Tente limpar o cache - a maioria dos navegadores lembra as configurações de SSL usadas para sites. - grawity